**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/23.3/document-lifecycle-workflows/document-binder-user-actions/initiate-bulk-user-actions.md

# Initiate Bulk User Actions



For each bulk action, you may only select a single workflow that Vault will start for all selected and valid documents.

<Endpoint path="/api/{version}/objects/{documents_or_binders}/lifecycle_actions/{user_action_name}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{documents_or_binders}` | Choose to change the state of `documents` or `binders`. |
| `{user_action_name}` | The user action `name__v` field value. Find this value with the [Retrieve User Actions on Multiple Documents or Binders](/vault-api/api-reference/23.3/document-lifecycle-workflows/document-binder-user-actions/retrieve-user-actions-on-multiple-documents-or-binders) endpoint. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `docIds` | Include a comma-separated list of document or binder IDs and major and minor version numbers. For example, `222:0:1,223:0:1,224:0:1` specifies version 0.1 of document IDs 222, 223, and 224. The user action is only executed on document IDs in the `lifecycle` and `state` specified in the request body. Document IDs listed in this parameter which are not in the specified `lifecycle` and `state` are skipped. |
| `lifecycle` | Include the name of the document or binder lifecycle. |
| `state` | Include the current state of your document. |
</FieldTable>

## Request Details {#request-details}

In this request:

* The input file format is set to accept name-value pairs.

* The lifecycle is specified. These documents are assigned to the `general_lifecycle__c`.

* The state is specified. We're changing the state of all four documents from draft to approved.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "docIds=222:0:1,223:0:1,224:0:1,225:0:1" \
-d "lifecycle=general_lifecycle__c" \
-d "state=draft__c" \
https://myvault.veevavault.com/api/v17.1/objects/documents/lifecycle_actions/approve__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the initiating user receives a summary email detailing which documents or binders succeeded and failed the requested action.



---

**Previous:** [Download Controlled Copy Job Results](/medical/vault-api/api-reference/23.3/document-lifecycle-workflows/document-binder-user-actions/download-controlled-copy-job-results)  
**Next:** [Lifecycle Role Assignment Rules](/medical/vault-api/api-reference/23.3/document-lifecycle-workflows/lifecycle-role-assignment-rules)